portals-jetspeed-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ate Douma <...@douma.nu>
Subject Re: trunk build error
Date Tue, 13 Mar 2007 10:26:47 GMT
Evangelos Vlachogiannis wrote:
> I have tried also with maven 1.0.4 and jdk 1.5
> 
> Here is the line 70 of build.xml
>        <dependencies filesetId="portal.resources.dependencies.id" 
> useScope="runtime">
>            <dependency groupId="${org.apache.jetspeed.groupid}"
>                        artifactId="portal-archetype-resources"
>                        version="${org.apache.jetspeed.version}"/>
>        </dependencies>
> 
> and here is the DEBUG trace:
> 
<snip/>
> 
> I think the interesting part here is:
> at org.apache.tools.ant.UnknownElement.execute(UnknwnElement.java:275)
> 
> Does this relates with my ANT version? What ANT ver do you use? 
I'm also using ant 1.6.5.

> Any other ideas pls?
I'm running now out of ideas, sorry :(
This really looks like a weird (config) problem to me.
The error seem to occur from within the maven-ant integration part but I have no clue whatsoever
what might be causing it.
Short of trying to debug this (yuk) I can only come up with the suggestion to try to build
Jetspeed on a different machine.
If that succeeds, you at least know the problem must be caused by some environment/config
issue...

Ate

> 
> thnx a lot,
> Vangelis
> 
> 
> Ate Douma wrote:
>> Evangelos Vlachogiannis wrote:
>>> some more context for this:
>>>
>>> Ate Douma wrote:
>>>> Evangelos Vlachogiannis wrote:
>>>>> Hi again,
>>>> At any rate, I think you'll need to provide more context before 
>>>> anyone will be able to provide more help.
>>>> For instance, what ant task is executed in your build.xml on line 70?
>>>> What jdk 
>>> 1.6.0
>> I haven't even installed that myself and I have not heart anyone using 
>> it yet to build jetspeed.
>> But it is supposed to be backwards compatible, so I would't expect it 
>> causing something like this.
>> Note: I've build all the bridges and jetspeed-2 artifacts provided at 
>> bluesunrise repository with jdk 1.4.2.
>>
>>>> / ant version 
>>> 1.6.5
>>>> / m2 version 
>>> 2.0.5
>> Ah, all of us still are using 2.0.4.
>> Don't know about this one, but I guess it might be worth trying it out 
>> with 2.0.4 yourself.
>>
>>> Embedded error: The following error occurred while executing
>>> this line:
>>> C:\workplace\uportal\portal\build.xml:70: java.lang.ClassCas
>>> tException: org.apache.maven.usability.MojoFailureExceptionD
>>> iagnoser
>> The interesting part is what java call is executed on line 70 in this 
>> build.xml
>> If the problem persists after you tried out maven 2.0.4, try to find 
>> out the real cause by running mvn with option -e (or even -X)
>>
>>
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: jetspeed-dev-unsubscribe@portals.apache.org
> For additional commands, e-mail: jetspeed-dev-help@portals.apache.org
> 
> 


---------------------------------------------------------------------
To unsubscribe, e-mail: jetspeed-dev-unsubscribe@portals.apache.org
For additional commands, e-mail: jetspeed-dev-help@portals.apache.org


Mime
View raw message